Google Meet: Minimum System Requirements

  •  Google Meets System Requirements

    To log into your Google Meet video meetings, you will need:

    • A broadband connection to the internet. For details, see Prepare your network.
    • A built-in web camera or external USB camera.
      Note: Other devices, such as virtual cameras, might not work with Meet.
    • 2.2 GHz Intel 2nd-generation i3/i5/i7, AMD equivalent or better, processor to support HD video.

    *You don't need a Google Account to participate in Meet video meetings. However, if you don’t have a Google Account, the meeting organizer or someone from the organization must grant you access to the meeting.

     

    System Requirements:

    • A broadband connection to the internet. For details, see Prepare your network.
    • A built-in web camera or external USB camera.
      Note: Other devices, such as virtual cameras, might not work with Meet.
    • 2.2 GHz Intel 2nd-generation i3/i5/i7, AMD equivalent or better, processor to support HD video.

     

    Supported Operating Systems

    To access Google Meet, please use a supported web browser

    Meet has limited support in Microsoft Internet Explorer® 11, and Microsoft Edge provides a better Meet experience. If you want to use Internet Explorer for Meet, you need to download and install the latest version of the Google Video Support plugin.

    Tip: If your browser doesn't support Meet video meetings, you can dial in using the phone number and PIN, if provided by the meeting organizer.